All pages
Powered by GitBook
1 of 2

Loading...

Loading...

Task Log

The Task Log objects represent additional information regarding the execution of the task. Examples of such information include:

  • The task has been started.

  • The task has failed due to an issue.

  • The task is currently processing a specific step, for example, the 3rd step out of 5.

This object contains the following attributes:

Field
Type
Description

severity

string

The severity of the task log.

message

string

Message template.

timestamp

date

The time of the log record.

progress

decimal

The task progress in percentage.

eta

string

(Optional) The estimated task completion time, if available (ISO‑8601 datetime).

parameters

object

(Optional) Message parameters.

Example:

id

string, core

(Read-only) The ID of the task log record.

task

task, core

Examples

TASK LOG OBJECT
{
    "id": "TLR-1930-6351-9137-5141",
    "revision": 1,
    "task": {
        "id": "TSK-5498-1544-6054-5440",
        "name": "Transferring the buyer to a different account",
        "revision": 1,
        "status": "Completed",
        "code": "accounts.buyers.transfer"
    },
    "progress": 0,
    "eta": "2025-09-12 13:40:13.515Z",
    "severity": "Info",
    "message": "Starting buyer '{{BuyerId}}' transfer to '{{TargetAccountId}}'.",
    "timestamp": "2025-09-11T13:40:13.515Z",
    "parameters": {
        "BuyerId": "BUY-4230-6788",
        "TargetAccountId": "ACC-4952-6625"
    }
}
TASK LOG OBJECT
{
    "id": "TLR-1930-6351-9137-5141",
    "revision": 1,
    "task": {
        "id": "TSK-5498-1544-6054-5440",
        "name": "Transferring the buyer to a different account",
        "revision": 1,
        "status": "Completed",
        "code": "accounts.buyers.transfer"
    },
    "progress": 0,
    "eta": "2025-09-12 13:40:13.515Z",
    "severity": "Info",
    "message": "Starting buyer '{{BuyerId}}' transfer to '{{TargetAccountId}}'.",
    "timestamp": "2025-09-11T13:40:13.515Z",
    "parameters": {
        "BuyerId": "BUY-4230-6788",
        "TargetAccountId": "ACC-4952-6625"
    },
    "audit": {
        "created": {
            "at": "2025-09-11T13:40:13.655Z",
            "by": {
                "id": "SVC-0001",
                "name": "platform",
                "revision": 1
            }
        }
    }
}

A reference to the task containing this log.

Example:

{
  "id": "TSK-5498-1544-6054-5440",
  "name": "Transferring the buyer to a different account",
  "code": "platform.accounts.buyers.transfer"
}
{
    "BuyerId": "BUY-4230-6788",
    "TargetAccountId": "ACC-4952-6625"
}

Get task logs

get

Get task logs. Defaults to ordering by timestamp descending when no order query is provided. Access: OPS, SVC.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
severitystring · enumOptionalPossible values:
messagestringOptionalExample: Applying changes to database and external systems.
timestampstring · date-timeOptionalExample: 2026-02-02T12:15:00+00:00
progressnumber · float · nullableOptionalExample: 90
etastring · date-time · nullableOptionalExample: 2026-02-02T14:30:00+00:00
parametersany · nullableOptionalExample: {"Step":"transfer"}
get/public/v1/system/tasks/{id}/logs
GET /public/v1/system/tasks/{id}/logs HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 0,
      "limit": 10,
      "total": 5
    },
    "omitted": [
      "audit"
    ]
  },
  "data": [
    {
      "id": "TLR-5992-0640-3485-0535",
      "revision": 1,
      "task": {
        "id": "TSK-5276-2474-4798-1266",
        "name": "Transferring the buyer to a different account",
        "revision": 1,
        "status": "Completed",
        "code": "accounts.buyers.transfer"
      },
      "severity": "Info",
      "message": "Applying changes to database and external systems.",
      "timestamp": "2025-09-04T09:03:20.103+00:00",
      "progress": 90
    }
  ]
}

Get task logs